
//
// To jest przykładowy kod z podrozdziału 13.17 „Typ Image” książki
// "Programowanie. Teoria i praktyka z wykorzystaniem C++" Bjarne'a Stroustrupa.
//

#include "Simple_window.h"  // Dołącza naszą bibliotekę okien.
#include "Graph.h"          // Dołącza narzędzia graficzne.

//------------------------------------------------------------------------------

int main()
try
{
    using namespace Graph_lib;   // Nasze narzędzia graficzne znajdują się w bibliotece Graph_lib

    Simple_window win(Point(100,100),600,400,"Obrazy");

    Image rita(Point(0,0),"rita.jpg");
    Image path(Point(0,0),"rita_path.gif");
    path.set_mask(Point(50,250),600,400); // wybór prawdopodobnego miejsca lądowania

    win.attach(path);
    win.attach(rita);

    win.wait_for_button();       // Wyświetl!
}
catch(exception& e) {
    // Raport o błędzie.
    return 1;
}
catch(...) {
    // Raport o błędzie.
    return 2;
}

//------------------------------------------------------------------------------
